<?php
/**
 * Example to use myMVC.
 * This program just demonstrate how to create
 * a login form, authenticate user, check data from
 * a form and read data from database.
 * 
 * Author: Luca Bertoncello <lucabert@lucabert.de>
 */

define("CURRENTVERSION",       '1.0-20121118');

/************************************************
 * Error page.
 * Here the user will be redirected from the
 * Exception handler of myMVC (if you don't change
 * it!)
 ************************************************/
define("PAGE_ERROR",          'http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['PHP_SELF']).'/../errors/syserror.php');

/************************************************
 * Path to ErrorLog
 ************************************************/
define("LOG_FILE",            "/tmp/testmvc.log");

/************************************************
 * A little trick to autoconfigure your system.
 * It read the PC name and allow you to have, in one
 * file, configuration for all your systems
 ************************************************/
switch($config['nodeName'])
{
  case 'frodo':
// Who has to receive the errors? (Exception, and so on)
      $config['ERROR']['ALERT']                 = 'mailto:you@yourdomain.tld';
// Connection data for the SMTP-Server
      $config['MAIL']['SMTP']                   = 'mail.server.tld';
      $config['MAIL']['AUTH']                   = 'LOGIN';
      $config['MAIL']['FROM']                   = 'TestMVC <mvc@domain.tld>';
      $config['MAIL']['USER']                   = 'login';
      $config['MAIL']['PASS']                   = 'password';
// Connection data for the database
      $config['DATABASE']['SERVER']             = 'localhost';
      $config['DATABASE']['USER']               = 'testmvc';
      $config['DATABASE']['PASSWORD']           = 'testmvc';
      $config['DATABASE']['DATABASE']           = 'testmvc';
      $config['DATABASE']['ENGINE']             = 'mysql';
// Should SQL queries be logged?
      $config['SYSTEM']['DEBUG_SQL']            = true;
// Debug level. All log entries with a level greater than this, will be logged
      $config['SYSTEM']['ALERT_LEVEL']          = ALERT_DEBUG;
// true if the browser should be redirected to the system error page
// in case of exception
      $config['DISPLAY_SYSERROR']               = false;
// Configuration for database-based session
/*      $config['SESSION_TYPE']                   = DB_SESSION;
      $config['SESSION_DB']                     = array(
                                                        'table'           => 'dbsession',
                                                        'field_sid'       => 'sid',
                                                        'field_data'      => 'data',
                                                        'field_last_used' => 'last_used',
                                                       );*/
// Time zone. A default was defined in myMVC.php
      $config['TIMEZONE']                       = 'Europe/Berlin';
  break;
}
$config['DATEFORMAT']             = _('m/d/y');
$config['TIMEFORMAT']             = _('H:i:s');
$config['DATETIMEFORMAT']         = _('m/d/y H:i:s');
$config['PHP_DATEFORMAT']         = _('%m/%d/%Y');
$config['PHP_TIMEFORMAT']         = _('%H:%M:%S');
$config['PHP_DATETIMEFORMAT']     = _('%m/%d/%Y %H:%M:%S');
?>
