<?php
/**
 * Example to use myMVC.
 * This program just demonstrate how to create
 * a login form, authenticate user, check data from
 * a form and read data from database.
 * 
 * Author: Luca Bertoncello <lucabert@lucabert.de>
 */

/**
 * Just display the list page.
 */
class ListView extends myMVC_BaseView
{
  public function __construct($engine, $session)
  {
    parent::__construct($engine, $session);
    $this->setTemplate('list.tpl');
  }

  /**
   * Returns the token used to identify the current View
   * 
   * @return string                 The token
   */
  public static function getViewToken()
  {
    return 'list';
  }

  /**
   * Prepare to render the View
   * 
   * @return boolean                true if the page can be display, false otherwise
   */
  public function preRender()
  {
    $this->session->useNamespace('list');
    $this->setVariable('list', $this->session->get('list'));
    $this->setAllInvalidFields();
    return true;
  }
}
?>
