<?php
/**
 * Example to use myMVC.
 * This program just demonstrate how to create
 * a login form, authenticate user, check data from
 * a form and read data from database.
 * 
 * Author: Luca Bertoncello <lucabert@lucabert.de>
 */

/**
 * Using database.
 * This View just display a page with some data from
 * database and a form to search them
 */
class TestDBView extends myMVC_BaseView
{
  public function __construct($engine, $session)
  {
    parent::__construct($engine, $session);
    $this->setTemplate('testDB.tpl');
  }

  /**
   * Returns the token used to identify the current View
   * 
   * @return string                 The token
   */
  public static function getViewToken()
  {
    return 'testDB';
  }

  /**
   * Prepare to render the View
   * 
   * @return boolean                true if the page can be display, false otherwise
   */
  public function preRender()
  {
    $this->setVariable('id1', $this->getParameterFromPreviousPage('id1'));
    $this->setVariable('countSearched', $this->getParameterFromPreviousPage('countSearched'));
    $this->setVariable('searched', $this->getParameterFromPreviousPage('searched'));
    $this->setVariable('countAll', $this->getParameterFromPreviousPage('countAll'));
    $this->setVariable('all', $this->getParameterFromPreviousPage('all'));
    $this->setVariable('inserted', $this->getParameterFromPreviousPage('inserted'));
    $this->setAllSubmitFields();

    return true;
  }
}
?>
