<?php
/**
 * Example to use myMVC.
 * This program just demonstrate how to create
 * a login form, authenticate user, check data from
 * a form and read data from database.
 * 
 * Author: Luca Bertoncello <lucabert@lucabert.de>
 */

/**
 * Example of an own filter.
 * If the called class is "test1", it redirect the user
 * to TestAction
 */
class TestFilter extends myMVC_BaseFilter
{
  /**
   * Do the job.
   * If the Controller has to call an action, returns an instance of
   * myMVC_HttpResponse, otherwise NULL
   * 
   * @return myMVC_HttpResponse     Response code for an Action or NULL, if the program should continue
   */
  public function filter()
  {
    myMVC_Logger::doLog(__METHOD__, __LINE__, 'FILTER for class '.$this->calledClass, ALERT_DEBUG);
    if($this->calledClass == 'test1')
    {
      myMVC_Logger::doLog(__METHOD__, __LINE__, 'Forward to TestAction', ALERT_DEBUG);
      $response = new myMVC_HttpResponse();
      $response->setNext('TestAction');
      return $response;
    }
    return NULL;
  }
}
?>
