<?php
/**
 * Example to use myMVC.
 * This program just demonstrate how to create
 * a login form, authenticate user, check data from
 * a form and read data from database.
 * 
 * Author: Luca Bertoncello <lucabert@lucabert.de>
 */

/**
 * DB-Class for login. It <b>must</b> be derived from myMVC_BaseLogin.
 * Very important ist the method isPasswordCorrect.
 * 
 * Currently this class does <b>not</b> check the user against a database,
 * but just authenticate it, if login is "tester" and password "tester".
 * It is just as example... :D
 */
class login extends myMVC_BaseLogin
{
  /**
   * This constructor is not really valid, then the table "test"
   * does not exists...
   * Usually, you have to use a valid table with the user's data.
   * Then, you can define the constructor as such to every other
   * database-class.
   */
  public function __construct()
  {
    parent::__construct('test',
                        array('login'               => 'testDB::checkString255NotNull',
                              'firstname'           => 'testDB::checkString255NotNull',
                              'lastname'            => 'testDB::checkString255NotNull',
                        ),
                        array(),
                        array());
  }

  /**
   * Check the given password against the saved and returns, if it is correct.
   * 
   * @param string $passwd                      User's given password
   * @return boolean                            true if the password was correct, false otherwise
   */
  public function isPasswordCorrect($passwd)
  {
    if($this->getLogin() == 'tester' && $passwd == 'tester')
      return true;
    return false;
  }
}
?>
