<?php
/**
 * Example to use myMVC.
 * This program just demonstrate how to create
 * a login form, authenticate user, check data from
 * a form and read data from database.
 * 
 * Author: Luca Bertoncello <lucabert@lucabert.de>
 */

/**
 * Example, how to use database.
 * Here the table "test" will be used.
 * You can find the definition of this table in the file
 * sql/testdb.sql
 */
class testDB extends myMVC_BaseDB
{
  public function __construct()
  {
// Constructor. Table "test" will be used.
// Description of the fields and their tests will be given
// Field "id" is autoincremental
// Two "unique"-constraints are defined: firstname+lastname and test
    parent::__construct('test',
                        array('id'                  => 'testDB::checkAutoIncrementalId',
                              'firstname'           => 'testDB::checkString255NotNull',
                              'lastname'            => 'testDB::checkString255NotNull',
                              'birthday'            => 'testDB::checkDateNull',
                              'last_use'            => 'testDB::checkDateTimeNull',
                              'test'                => 'testDB::checkUnsignedIntNotNull',
                        ),
                        array('id' => 'autoincrement'),
                        array(array('firstname', 'lastname'),
                              array('test')));

// Define the finders and counters.
// These will be used in TestDBAction!
    $this->registerFinder('findByFirstname', array('firstname' => 'EQUAL'), array());
    $this->registerFinder('findByLastname', array('lastname' => 'LIKE'), array());
    $this->registerCounter('getCountByFirstname', array('firstname' => 'EQUAL'), array());
    $this->registerCounter('getCountByLastname', array('lastname' => 'LIKE'), array());
  }
}
?>
